Subject: AW: AW: [Sigtran] (M2PA) Comments on M2PA v8 - Last Call

From: Schwarzbauer Hanns Juergen <[email-masked]>
Date: Wed, 7 May 2003 10:00:49 +0200

Ken, Tom

taking figure 11 literally, you have no need at all to assign SS7 point codes to the SG's. An other consequence is that this SG does not act as an STP, as there is a strict 1-to-1 relation between TDM and "IP" link.

I think that there is no protocol at all currently defined by SIGTRAN dealing with exactly that scenario.

However, I know that there are some proprietary "MTP2 Tunneling" protocols deployed. It's nothing but a clever "layer two tunneling" with removal of redundant FISUs.

greetings

HannsJuergen

> -----Ursprüngliche Nachricht-----
> Von: Ken Morneault [mailto:[email-masked]]
> Gesendet: Dienstag, 6. Mai 2003 22:10
> An: Tom George; SIGTRAN e-mail list
> Betreff: Re: AW: [Sigtran] (M2PA) Comments on M2PA v8 - Last Call
> 
> 
> 
> 
> Though incorrectly drawn for M2PA, I believe Figure 11 shows 
> the intent to
> create a protocol like M2PA so it would be ok to reference RFC2719.
> 
> Ken
> 
> At 02:27 PM 5/6/2003 -0500, Tom George wrote:
> >Brian and Hanns,
> >
> >I think the SG in RFC2719 Figure 7 also qualifies.
> >
> >tomG.
> >
> >
> >Schwarzbauer Hanns Juergen wrote:
> >> 
> >> Bidulock,
> >> 
> >> see my comments below.
> >> 
> >> greetings
> >> 
> >> HannsJuergen
> >  [...]
> >> > > Comment on section 1.5:
> >> > >
> >> > > RFC2719 does NOT show a scenario related to M2PA. At the
> >> > time this RFC was
> >> > > written, M2PA wasn't a Sigtran WI. Therefore I doubt the
> >> > usefulness of this
> >> > > reference.
> >> >
> >> > RFC2719 Figure 10 in Section 3.5 shows just such a scenario
> >> > and the reference
> >> > is valid.
> >> 
> >> (HJS] disagree, figure 10 shows a scenario using first 
> M2UA towards SG2 and M3ua to the MGC
> >> The MGC is not shown having MTP3 functionality as required by M2PA.
> >  [...]
> >
> >-- 
> >* Tom George       PB7-24001 (near B-21)      
> [email-masked]  *
> >* 972-519-3168   Intranet:  
http://www.ssd.usa.alcatel.com/~tgeorge/  *
>* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
>* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
>* to advertise or represent its position,  operations, or activities. *
>_______________________________________________
>Sigtran mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/sigtran 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Tolga Asveren <[email-masked]>
Date: Wed, 7 May 2003 03:34:54 -0700 (PDT)

Hi HannsJuergen and all,

Although not directly related with the main
discussions of this thread, still just my
opinion/question about Figure11 in RFC2719:
I don't know, whether it is really possible to make
work what it stands in that figure. Terminating Layer2
on a node with no corresponding Layer3 logic sounds
strange to me. In Figure11, there are two MTP2s with
no corresponding MTP3. For example how can one be sure
that a message sent by MTP3 of a SEP is delivered to
the MTP3 of the other SEP? Based on figure11, I would
expect the closest MTP2 acknowledge MTP2 of the sender
SEP as soon as it receives the message successfully.
So, I wouldn't think figure11 represents a layer2
tunneling solution.

    Tolga
--- Schwarzbauer Hanns Juergen
<[email-masked]> wrote:
> Ken, Tom
> 
> taking figure 11 literally, you have no need at all
> to assign SS7 point codes to the SG's. An other
> consequence is that this SG does not act as an STP,
> as there is a strict 1-to-1 relation between TDM and
> "IP" link.
> 
> I think that there is no protocol at all currently
> defined by SIGTRAN dealing with exactly that
> scenario.
> 
> However, I know that there are some proprietary
> "MTP2 Tunneling" protocols deployed. It's nothing
> but a clever "layer two tunneling" with removal of
> redundant FISUs.
> 
> greetings
> 
> HannsJuergen
> 
> 

__________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.
http://search.yahoo.com
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Tom George <[email-masked]>
Date: Wed, 07 May 2003 16:07:23 -0500

Tolga,

I think you can already buy products that do what is shown in Figure 11.
The SG is an SS7-to-SS7/IP converter.

tomG.

  [...]

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Tolga Asveren <[email-masked]>
Date: Thu, 8 May 2003 00:06:19 -0700 (PDT)

Tom,

Do those products really terminate MTP2 on SGs with no
MTP3? I wouldn't think this as a correct approach.

   Tolga

---

From: Tom George <[email-masked]>
Date: Thu, 08 May 2003 10:10:57 -0500

Tolga,

Yes. But for the only one that I know anything about, its internal
workings are proprietary. 

If you do a google.com search for "SS7/IP gateway", you will find some
of these products. Maybe they have some info on their web sites.

tomG.

  [...]

---

From: Tolga Asveren <[email-masked]>
Date: Thu, 8 May 2003 10:26:12 -0700 (PDT)

Hi Tom,

My question about specific products was just a
rhetorical one ;) but if somebody can explain how MTP2
can survive with no corresponding MTP3 -i.e. no
corresponding MTP3 entity on any node-(as far as I
understand the case in RFC2719 Figure11, if what is
meant in figure11 is something like M3PA, I think it
migth work) I am really interested. In fact in general
for communication protocols layer2 has the
functionality to provide communciation between two
layer3 entities, so even thinking a layer2 entity with
no corresponding layer3 does not sound reasonable to
me.

    Tolga
--- Tom George <[email-masked]> wrote:
> > > I think you can already buy products that do
> what is
> > > shown in Figure 11.